> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/benchmarking/cmp

> Returns Consent Management Platform (CMP) benchmarking data



## OpenAPI

````yaml /openapi.json get /v1/report/insight/benchmarking/cmp
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/benchmarking/cmp:
    get:
      tags:
        - Reporting/Insights Hub/Benchmarking
        - public
      summary: /report/insight/benchmarking/cmp
      description: Returns Consent Management Platform (CMP) benchmarking data
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: true
          example: 0
          schema:
            deprecated: false
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          example: ''
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          example: ''
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          example: ''
          schema:
            type: string
            format: date
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          example: ''
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
        - name: exclude_pubs
          in: query
          description: >-
            Excludes publisher data from the Network and Cohort for users
            organisation
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          cmp_not_found:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          consent_denied:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          consent_given:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                        required:
                          - cmp_not_found
                          - consent_denied
                          - consent_given
                    required:
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  data:
                    cmp_not_found:
                      publisher: 952
                      cohort: 21936
                      network: 1093504
                    consent_denied:
                      publisher: 1
                      cohort: 308
                      network: 1813
                    consent_given:
                      publisher: 16781069
                      cohort: 6914121
                      network: 2006403
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````